/*
 * @author		Alfonso Muñoz-Pomer Fuentes, 
 * 				<a href="mailto:alfonso.munozpomer@biotechvana.com">
 * 				alfonso.munozpomer@biotechvana.com</a>,  
 * 				<a href="http://www.biotechvana.com">Biotechvana</a>
 *
 * @date		2011-10-11
 * 
 * @license		<a href="http://creativecommons.org/licenses/by-nc-sa/3.0/">
 * 				Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>
 *
 * @copyright	Copyright Biotech Vana, S.L. 2006-2011
 */
package com.biotechvana.javabiotoolkit.text;

/**
 * @author	<a href="mailto:alfonso.munozpomer@biotechvana.com">Alfonso Muñoz-Pomer Fuentes</a>,
 * 			<a href="http://www.biotechvana.com">Biotechvana</a>.
 *
 * @version	0.1
 *
 */
public class StringBuilderTrimmer
{
	/**
	 * 
	 * @param sb
	 * @param lineSeparatorFormat
	 *
	 * @since	x.y.z
	 */
	public static void trim(StringBuilder sb, LineSeparatorFormat lineSeparatorFormat)
	{
		boolean match = true;
		
		while(match)
		{
			for (int i = 0, j = sb.length() - lineSeparatorFormat.lineSeparator().length() ;
					 i < lineSeparatorFormat.lineSeparator().length() && j >= 0 ; i++)
			{
				if (sb.charAt(j + i) == lineSeparatorFormat.lineSeparator().charAt(i))
				{
					sb.deleteCharAt(j + i);
				}
				else
				{
					match = false;
					break;
				}
			}
		}
	}
}
